#
# spec file for package xxdiff (Version 1.13)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp libjpeg liblcms libmng libpng mesa mesasoft qt qt-devel xf86 xf86glu
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libjpeg liblcms libmng libpng libtool libz m4 make man mesa mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xshared

Name:         xxdiff
Summary:      A graphical front end to the diff command
Version:      1.13
Release:      51
Copyright: GPL
Group: Development/Tools
URL: http://xxdiff.sourceforge.net
Buildroot: %{_tmppath}/%{name}-%{version}-root
Source: http://prdownloads.sourceforge.net/xxdiff/xxdiff-%{version}.tar.gz
Patch:  xxdiff-%{version}.dif

%description
xxdiff is a graphical browser for viewing the differences between two
files and can be used to produce a merged version.  The text of the
two or three files are presented side by side with their differences
highlighted for easy identification.

Authors:
--------
    Martin Blais <blais@iro.umontreal.ca>

SuSE series: d

%prep
%setup -q
%patch

%build
export QTDIR=/usr/lib/qt2
# Redo automoc before compiling because 'make dist' ignores automoc.
perl ./automoc -v
CFLAGS=${RPM_OPT_FLAGS} ./configure --prefix=/usr/X11R6
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/bin
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/man/man1
install -c -m 755 -s src/xxdiff ${RPM_BUILD_ROOT}/usr/X11R6/bin/
install -c -m 644 src/xxdiff.1 ${RPM_BUILD_ROOT}/usr/X11R6/man/man1/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%doc README
%doc CHANGES
/usr/X11R6/bin/xxdiff
/usr/X11R6/man/man1/xxdiff.1*

%changelog -n xxdiff
* Mon Jul 16 2001 - kukuk@suse.de
- Initial version
